actions: []
api_documentation: http://docs.ros.org/hydro/api/denso/html
authors: Ryohei Ueda, Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
brief: ''
bugtracker: https://github.com/start-jsk/denso/issues
depends: &id001
- vs060
- denso_launch
- catkin
- vs060_moveit_config
- denso_controller
depends_on: []
description: "<p>Packages in the denso suite provide controller functionality for\
  \ Denso's industrial manipulators. </p>\n   <p><a href=\"http://goo.gl/kL0vnf\"\
  >ORiN</a> (Open Robot interface for the Network) is a unified network interface\
  \ for industrial robot applications and has been stably utilized in Denso's manipulators\
  \ for years. Controllers in this package suite uses b-CAP, UDP-based control protocol\
  \ defined in ORiN. It also has mechanism to detect faulty commands. Using b-CAP,\
  \ ROS communicates to the embedded controller computer that has been achieving industry-proven\
  \ reliability. The computer also has mechanism to detect faulty commands. That said\
  \ as a whole the system maintains the same level of safeness with their commercial\
  \ product setting.</p>\n   <p>Also, as a genuine ROS package, it enables robot application\
  \ developers to access full ROS features. MoveIt! configuration package is also\
  \ included for some of Denso's robots.</p>\n   <p>Core functionality </p>"
devel_jobs:
- devel-hydro-denso
doc_job: doc-hydro-denso
has_changelog_rst: true
license: BSD
maintainer_status: developed
maintainers: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>, Isaac Isao Saito <iisaito@opensource-robotics.tokyo.jp>
msgs: []
package_type: metapackage
packages: *id001
release_jobs:
- ros-hydro-denso_sourcedeb
- ros-hydro-denso_binarydeb_precise_amd64
- ros-hydro-denso_binarydeb_precise_i386
- ros-hydro-denso_binarydeb_quantal_amd64
- ros-hydro-denso_binarydeb_quantal_i386
- ros-hydro-denso_binarydeb_raring_amd64
- ros-hydro-denso_binarydeb_raring_i386
repo_name: denso
repo_url: https://github.com/start-jsk/denso
srvs: []
timestamp: 1440588097.092839
url: http://wiki.ros.org/denso
vcs: git
vcs_uri: https://github.com/start-jsk/denso.git
vcs_version: hydro-devel
